#include <gdk/gdkx.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <stdio.h>

// rcrsn51 2012-04-12 ... original code by MU
// updated 2015-09-07

int main(int argc, char **argv)
{
	char *infile = argv[1];

	GdkPixbuf *im;
	int w, h;

	if (argc < 2)
	{
		printf("%s\n", "Usage: get-image-size filename");
		return 1;
	}

	if (access(argv[1], 0) != 0)
	{
		printf("%s\n", "Input file not found");
		return 1;
	}

	gdk_init(&argc,&argv);
	im = gdk_pixbuf_new_from_file (infile , NULL);
	w=gdk_pixbuf_get_width(im);
	h=gdk_pixbuf_get_height(im);
	printf("%d %d\n", w, h);

	g_object_unref(im);
	return 0;
}
